pub mod collection;
pub mod post;
pub mod site;

#[derive(Debug, thiserror::Error)]
pub enum Error {
    #[error("Resource not found")]
    NotFound,

    #[error("No access to resource")]
    AccessDenied,

    #[error("Resource identifier not available")]
    IdentifierNotAvailable,

    #[error("Database error: {0}")]
    QueryFailed(#[from] sqlx::Error),

    #[error("Internal error: {0}")]
    Internal(anyhow::Error),
}
