use sqlx::PgPool;
use std::sync::Arc;

use crate::state::AppState;

pub mod collection;
pub mod post;
pub mod session;
pub mod site;
pub mod user;

pub struct Database {
    pool: PgPool,
}

impl From<&Arc<AppState>> for Database {
    fn from(state: &Arc<AppState>) -> Self {
        Database {
            pool: state.database.clone(),
        }
    }
}
