use chrono::NaiveDateTime;
use serde::Deserialize;
use utoipa::IntoParams;

#[derive(Deserialize, Default, IntoParams)]
pub(super) struct TimePaginationQuery {
    /// Cursor position (date-based)
    pub before: Option<NaiveDateTime>,

    /// How many items to return at most
    pub limit: Option<i64>,
}
